/***********************************************************************************************/
/******** DANGER !! DANGER !! DANGER !! DO NOT EDIT FILE -- IT WAS GENERATED AUTOMATICALLY !!! */
/***********************************************************************************************/

/* $Id: $
 * This file is part of the SPHERE Pipeline
 * Copyright (C) 2007-2010 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: $
 * $Date: $
 * $Revision: $
 * $Name: $
 */

#include "sph_error.h"
#include "sph_cube.h"
#include "sph_pixel_description_table.h"
#include "sph_ldt.h"
#include "sph_master_frame.h"
#include "sph_double_image.h"
#include "sph_triple_image.h"
#include "sph_quad_image.h"
#include "sph_zpl_exposure.h"
#include "sph_zpl_exposure_imaging.h"
#include "sph_pixel_polyfit_table.h"
#include "sph_ird_instrument_model.h"
#include "sph_fctable.h"
#include <cpl.h>

#ifndef SPH_IFS_RON_H_

#define SPH_IFS_RON_H_
#define SPH_IFS_RON_VERSION 1300

/*-------------------------------------------------------------------------------
 * The Structure Definition
 * 
 * This structure contains the members of the sph_ifs_ron that are 
 * needed by the various methods.
 * 
 * ------------------------------------------------------------------------------
 */

typedef struct _sph_ifs_ron_ {
    cpl_frameset*                   inframes                              ; /* The recipe input frames */

    cpl_frameset*                   current_raw_frameset                  ; /* The frameset for one product */

    cpl_parameterlist*        inparams                              ; /* The recipe input parameters */

    cpl_parameterlist*        framecomb_parameterlist               ; /* The recipe input parameters */

    const char*                     ron_outfilename                       ; /* The parameter of ifs.ron.outfilename */

    int                             coll_alg                              ; /* The parameter of ifs.ron.coll_alg */

    double                          sigma_clip                            ; /* The parameter of ifs.ron.sigma_clip */

    int                             clean_mean_reject_high                ; /* The parameter of ifs.ron.clean_mean.reject_high */

    int                             clean_mean_reject_low                 ; /* The parameter of ifs.ron.clean_mean.reject_low */

    double                          gain                                  ; /* The parameter of ifs.ron.gain */

    short                           preprocess_flag                       ; /* The parameter of ifs.ron.preprocess */

    short                           vacca                                 ; /* The parameter of ifs.ron.vacca */

    cpl_frameset*                   rawframes                             ; /* The IFS_RON_RAW frames */

    sph_framelist*                  ron_framelist                         ; /* The RON_FRAMELIST data field */

    sph_cube*                       ron_cube                              ; /* The RON_CUBE data field */

} sph_ifs_ron;

/*-------------------------------------------------------------------------------
 * Error codes
 * 
 * Below the various error codes for this module are declared.
 * ------------------------------------------------------------------------------
 */

int sph_ifs_ron_create_test(cpl_plugin *);


/*-------------------------------------------------------------------------------
 * The methods
 * 
 * These are the methods for sph_ifs_ron.
 * 
 * ------------------------------------------------------------------------------
 */

sph_ifs_ron* sph_ifs_ron_new( cpl_frameset * frameset, 
                                              cpl_parameterlist * parlist);

sph_error_code  sph_ifs_ron_check_frames( sph_ifs_ron* self );

sph_error_code sph_ifs_ron_check_params( sph_ifs_ron* parlist );

cpl_error_code sph_ifs_ron_run( sph_ifs_ron* self );

sph_error_code sph_ifs_ron_delete( sph_ifs_ron* self );
cpl_parameterlist*  sph_ifs_ron_create_paramlist(void);

/* Extra function declarations that are defined in sph_ifs_ron.c */


/* End of extra function declarations that are defined in sph_ifs_ron_run.c */



#endif /*SPH_IFS_RON_H_*/
