/* $Id: $
 * This file is part of the SPHERE Pipeline
 * Copyright (C) 2007-2010 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: $
 * $Date: $
 * $Revision: $
 * $Name: $
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/*-----------------------------------------------------------------------------
 Includes
 -----------------------------------------------------------------------------*/
#ifndef SPH_DISTORTION_MAP_H_
#define SPH_DISTORTION_MAP_H_
#include <cpl.h>
#include "sph_error.h"
#include "sph_distortion_vector.h"
#include "sph_point_pattern.h"

typedef struct _sph_distortion_map_ {
	sph_distortion_vector* distvectlist;
} sph_distortion_map;

sph_distortion_map*
sph_distortion_map_new( sph_point_pattern* pA, sph_point_pattern* pB );

int
sph_distortion_map_get_size( sph_distortion_map* self);

sph_distortion_vector*
sph_distortion_map_get( sph_distortion_map* self,int n);

sph_error_code
sph_distortion_map_insert_vec( sph_distortion_map* self,sph_distortion_vector* vec);

int
sph_distortion_map_remove_offset( sph_distortion_map* self, double* poffx, double* poffy );

int
sph_distortion_map_remove_above_length( sph_distortion_map* self, double length );

void
sph_distortion_map_delete( sph_distortion_map* self );
#endif /* SPH_DISTORTION_MAP_H_ */
