/* $Id: $
 * This file is part of the SPHERE Pipeline
 * Copyright (C) 2007-2010 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: $
 * $Date: $
 * $Revision: $
 * $Name: $
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/*-----------------------------------------------------------------------------
 Includes
 -----------------------------------------------------------------------------*/
#include <cpl.h>
#include "sph_error.h"
#ifndef SPH_DISTORTION_VECTOR_H_
#define SPH_DISTORTION_VECTOR_H_

typedef struct _sph_distortion_vector_ {
	double x;
	double y;
	double dx;
	double dy;
	void* prev;
	void* next;
} sph_distortion_vector;

sph_distortion_vector*
sph_distortion_vector_new(double x, double y, double dx, double dy);
sph_error_code
sph_distortion_vector_append_new(sph_distortion_vector* vec,double x, double y, double dx, double dy);
sph_error_code
sph_distortion_vector_append(sph_distortion_vector* vec,sph_distortion_vector* app);
sph_distortion_vector*
sph_distortion_vector_next(sph_distortion_vector* vec );
sph_distortion_vector*
sph_distortion_vector_prev(sph_distortion_vector* vec );
void
sph_distortion_vector_delete(sph_distortion_vector* vec);
void
sph_distortion_vector_delete_all(sph_distortion_vector* vec);

#endif /* SPH_IFS_DISTORTION_VECTOR_H_ */
