/* $Id: $
 * This file is part of the SPHERE Pipeline
 * Copyright (C) 2007-2010 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: $
 * $Date: $
 * $Revision: $
 * $Name: $
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/*-----------------------------------------------------------------------------
 Includes
 -----------------------------------------------------------------------------*/
#include <cpl.h>
#include "sph_error.h"
#ifndef CUTEST_TEST_IFS_INSTRUMENT_MODEL_H_
#define CUTEST_TEST_IFS_INSTRUMENT_MODEL_H_


static
int cutest_init_test_ifs_instrument_model_testsuite() ;

static
int cutest_clean_test_ifs_instrument_model_testsuite();

static
void cutest_test_ifs_instrument_model_disperse_performance();

static
void cutest_test_ifs_instrument_model_get_flux_in_hex_flux_ok( );
static
void cutest_test_ifs_instrument_model_get_flux_in_hex_flux_ok2( );
static
void cutest_test_ifs_instrument_model_disperse() ;
static
void cutest_test_ifs_instrument_model_set_poly_specregion() ;

static
void cutest_test_ifs_instrument_model_get_lambda();


static
void cutest_test_ifs_instrument_model_set_vecs_specregion();

static
void cutest_test_ifs_instrument_model_digest_image_list() ;


static
void cutest_test_ifs_instrument_model_delete() ;

#endif /* CUTEST_TEST_IFS_INSTRUMENT_MODEL_H_ */
