/* $Id: $
 * This file is part of the SPHERE Pipeline
 * Copyright (C) 2007-2010 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: $
 * $Date: $
 * $Revision: $
 * $Name: $
 */

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/*-----------------------------------------------------------------------------
 Includes
 -----------------------------------------------------------------------------*/
#include <cpl.h>
#include "sph_error.h"
#ifndef CUTEST_SPH_IFS_LENSLET_MODEL_H_
#define CUTEST_SPH_IFS_LENSLET_MODEL_H_
/*----------------------------------------------------------------------------*/
/**
 @brief    Unit test for the sph_ifs_lenslet_model_new function.
 */
/*----------------------------------------------------------------------------*/
static
void cutest_ifs_lenslet_model_new();
static
void cutest_ifs_lenslet_model_save();
static
void cutest_ifs_lenslet_model_load();
static
void cutest_ifs_lenslet_model_get_centre(void);
static
void cutest_ifs_lenslet_model_new_from_propertylist();
static
void cutest_ifs_lenslet_model_new_from_propertylist_distmodel();
static
void cutest_ifs_lenslet_model_get_as_propertylist();
static
void cutest_ifs_lenslet_model_predict_spec_loc();
static
void cutest_ifs_lenslet_model_predict_spec_loc_pp();
static
void cutest_ifs_lenslet_model_predict_spec_loc_pp_model();
static
void cutest_ifs_lenslet_model_predict_spec_loc_offset();
static
void cutest_ifs_lenslet_model_predict_spec_loc_no_duplicates();
static
void cutest_ifs_lenslet_model_predict_spec_loc_fractional_offset();
static
void cutest_ifs_lenslet_model_get_poly();
static
void cutest_ifs_lenslet_model_get_coords();
static
void cutest_ifs_lenslet_model_create_pdt_images();
static
void cutest_ifs_lenslet_model_get_index() ;
static
void
cutest_ifs_lenslet_model_get_lambda_vector(void);
static
void cutest_ifs_lenslet_model_delete();
static
void cutest_ifs_lenslet_model_set_lenslet_distortion();
static
void cutest_ifs_lenslet_model_set_get_hex_w_lenslet_distortion();
static
int cutest_init_ifs_lenslet_model_testsuite() ;

static
int cutest_clean_ifs_lenslet_model_testsuite();


#endif /* CUTEST_SPH_IFS_LENSLET_MODEL_H_ */
